<?php

namespace Hyiplab\Controllers\Gateway\CoinpaymentsFiat;

use Hyiplab\BackOffice\Request;
use Hyiplab\Controllers\Controller;
use Hyiplab\Controllers\User\DepositController;
use Hyiplab\Models\Deposit;
use Hyiplab\Models\GatewayCurrency;

class PaymentProcess extends Controller
{
    public static function process($deposit, $gateway)
    {
        $coinpayAcc           = json_decode($gateway->gateway_parameter);
        $val['merchant']      = $coinpayAcc->merchant_id;
        $val['item_name']     = __('Payment to ', HYIPLAB_PLUGIN_NAME) . get_bloginfo('name');
        $val['currency']      = $deposit->method_currency;
        $val['currency_code'] = "$deposit->method_currency";
        $val['amountf']       = round($deposit->final_amo, 2);
        $val['ipn_url']       = vlRoute('ipn.coinpaymentsfiat');
        $val['custom']        = "$deposit->trx";
        $val['amount']        = round($deposit->final_amo, 2);
        $val['return']        = vlRoute('user.deposit.history');
        $val['cancel_return'] = vlRoute('user.deposit.index');
        $val['notify_url']    = vlRoute('ipn.coinpaymentsfiat');
        $val['success_url']   = vlRoute('user.deposit.history');
        $val['cancel_url']    = vlRoute('user.deposit.index');
        $val['custom']        = $deposit->trx;
        $val['cmd']           = '_pay_simple';
        $val['want_shipping'] = 0;
        $send['val']          = $val;
        $send['view']         = 'user/payment/redirect';
        $send['method']       = 'post';
        $send['url']          = 'https://www.coinpayments.net/index.php';
        return json_encode($send);
    }

    public function ipn()
    {
        $request = new Request();
        $track   = sanitize_text_field($request->custom);
        $status  = sanitize_text_field($request->status);
        $amount1 = floatval($request->amount1);
        $deposit = Deposit::where('trx', $track)->orderBy('id', 'DESC')->first();
        if (!$deposit) {
            $notify[] = ['error', 'Deposit not found'];
            setNotify($notify);
            viserRedirect(vlRoute('user.deposit.index'));
        }
        $gateway = GatewayCurrency::where('method_code', $deposit->method_code)->where('currency', $deposit->method_currency)->first();
        if (!$gateway) {
            $notify[] = ['error', 'Invalid gateway'];
            setNotify($notify);
            viserRedirect(vlRoute('user.deposit.index'));
        }
        if ($status >= 100 || $status == 2) {
            $coinPayAcc = json_decode($gateway->gateway_parameter);
            if ($deposit->method_currency == $request->currency1 && round($deposit->final_amo, 2) <= $amount1  && $coinPayAcc->merchant_id == $request->merchant && $deposit->status == '0') {
                DepositController::userDataUpdate($deposit);
            }
        }
    }
}
