<?php

use Hyiplab\BackOffice\Abort;
use Hyiplab\Lib\FileManager;
use Hyiplab\BackOffice\Request;
use Hyiplab\BackOffice\Session;
use Hyiplab\BackOffice\System;
use Hyiplab\Lib\Captcha;
use Hyiplab\Lib\ClientInfo;
use Hyiplab\Lib\Initials;
use Hyiplab\Lib\ViserDate;
use Hyiplab\Models\Deposit;
use Hyiplab\Models\Form;
use Hyiplab\Models\Gateway;
use Hyiplab\Models\GatewayCurrency;
use Hyiplab\Models\Plan;
use Hyiplab\Models\SupportAttachment;
use Hyiplab\Models\SupportTicket;
use Hyiplab\Models\User;
use Hyiplab\Models\Withdrawal;
use Hyiplab\Models\WithdrawMethod;
use Hyiplab\Notify\Notify;

if (!function_exists('vlSystemDetails')) {
    function vlSystemDetails()
    {
        $system['prefix'] = 'wp_';
        $system['real_name'] = 'hyiplab';
        $system['name'] = $system['prefix'] . 'hyiplab';
        $system['version'] = '2.0';
        $system['build_version'] = '1.0';
        return $system;
    }
}

function systemInstance()
{
    return System::getInstance();
}

if (!function_exists('dd')) {
    function dd(...$data)
    {
        foreach ($data as $item) {
            echo "<pre style='background: #001140;color: #00ff4e;padding: 20px;'>";
            print_r($item);
            echo "</pre>";
        }
        exit;
    }
}

if (!function_exists('dump')) {
    function dump(...$data)
    {
        foreach ($data as $item) {
            echo "<pre style='background: #001140;color: #00ff4e;padding: 20px;'>";
            print_r($item);
            echo "</pre>";
        }
    }
}

if (!function_exists('viserLayout')) {
    function viserLayout($viserLayout)
    {
        global $systemLayout;
        $systemLayout = $viserLayout;
    }
}

if (!function_exists('viserRoute')) {
    function viserRoute($routeName)
    {
        $route = systemInstance()->route($routeName);
        return viserToObject($route);
    }
}

if (!function_exists('viserToObject')) {
    function viserToObject($args)
    {
        if (is_array($args)) {
            return (object) array_map(__FUNCTION__, $args);
        } else {
            return $args;
        }
    }
}

if (!function_exists('viserToArray')) {
    function viserToArray($args)
    {
        if (is_object($args)) {
            $args = get_object_vars($args);
        }

        if (is_array($args)) {
            return array_map(__FUNCTION__, $args);
        } else {
            return $args;
        }
    }
}


if (!function_exists('viserRedirect')) {
    function viserRedirect($url)
    {
        wp_redirect($url);
        exit;
    }
}

if (!function_exists('viserKeyToTitle')) {
    function viserKeyToTitle($text)
    {
        return ucfirst(preg_replace("/[^A-Za-z0-9 ]/", ' ', $text));
    }
}

if (!function_exists('viserTitleToKey')) {
    function viserTitleToKey($text)
    {
        return strtolower(str_replace(' ', '_', $text));
    }
}

if (!function_exists('viserRequest')) {
    function viserRequest()
    {
        return new Request();
    }
}

if (!function_exists('viserRemoveSession')) {
    function viserRemoveSession($key)
    {
        unset($_SESSION[$key]);
    }
}

if (!function_exists('viserSession')) {
    function viserSession()
    {
        return new Session();
    }
}

if (!function_exists('viserBack')) {
    function viserBack($notify = [])
    {
        if ($notify) {
            setNotify($notify);
        }
        if (isset($_SERVER['HTTP_REFERER'])) {
            $url = $_SERVER['HTTP_REFERER'];
        } else {
            $url = home_url();
        }
        viserRedirect($url);
    }
}

if (!function_exists('viserOld')) {
    function viserOld($key)
    {
        return @ViserSession()->get('old_input_value_' . $key);
    }
}

if (!function_exists('abort')) {
    function abort($code = 404, $message = null)
    {
        $abort = new Abort($code, $message);
        $abort->abort();
    }
}

if (!function_exists('queryToUrl')) {
    function queryToUrl($arr)
    {
        return esc_url(add_query_arg($arr, $_SERVER['REQUEST_URI']));
    }
}

if (!function_exists('setNotify')) {
    function setNotify($data)
    {
        viserSession()->flash('notify', $data);
    }
}

if (!function_exists('viserInclude')) {
    function viserInclude($view, $data = [])
    {
        extract($data);
        include HYIPLAB_ROOT . 'views/' . $view . '.php';
    }
}

if (!function_exists('getIpInfo')) {
    function getIpInfo()
    {
        $ipInfo = ClientInfo::ipInfo();
        return $ipInfo;
    }
}

if (!function_exists('getRealIP')) {
    function getRealIP()
    {
        $ip = $_SERVER["REMOTE_ADDR"];
        //Deep detect ip
        if (filter_var(@$_SERVER['HTTP_FORWARDED'], FILTER_VALIDATE_IP)) {
            $ip = $_SERVER['HTTP_FORWARDED'];
        }
        if (filter_var(@$_SERVER['HTTP_FORWARDED_FOR'], FILTER_VALIDATE_IP)) {
            $ip = $_SERVER['HTTP_FORWARDED_FOR'];
        }
        if (filter_var(@$_SERVER['HTTP_X_FORWARDED_FOR'], FILTER_VALIDATE_IP)) {
            $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
        }
        if (filter_var(@$_SERVER['HTTP_CLIENT_IP'], FILTER_VALIDATE_IP)) {
            $ip = $_SERVER['HTTP_CLIENT_IP'];
        }
        if (filter_var(@$_SERVER['HTTP_X_REAL_IP'], FILTER_VALIDATE_IP)) {
            $ip = $_SERVER['HTTP_X_REAL_IP'];
        }
        if (filter_var(@$_SERVER['HTTP_CF_CONNECTING_IP'], FILTER_VALIDATE_IP)) {
            $ip = $_SERVER['HTTP_CF_CONNECTING_IP'];
        }
        if ($ip == '::1') {
            $ip = '127.0.0.1';
        }

        return $ip;
    }
}

if (!function_exists('vlRoute')) {
    function vlRoute($name)
    {
        $route = viserToArray(viserRoute($name));
        if (array_key_exists('query_string', $route)) {
            $link = menu_page_url('hyiplab', false) . '&module=' . $route['query_string'];
        } else {
            $link = home_url($route['uri']);
        }
        return esc_url($link);
    }
}

if (!function_exists('menuActive')) {
    function menuActive($routeName, $type = null, $param = null, $dashboard = false)
    {
        if ($type == 3) $class = 'side-menu--open';
        elseif ($type == 2) $class = 'sidebar-submenu__open';
        else $class = 'active';
        if (!is_array($routeName)) {
            $routeName = [$routeName];
        }
        foreach ($routeName as $key => $value) {
            $route = viserRoute($value);
            $queryString = @$route->query_string;
            $uri = @$route->uri;
            if ($queryString) {
                if (isset(viserRequest()->module) && viserRequest()->module == $queryString) {
                    echo sanitize_html_class($class);
                }
                if (isset(viserRequest()->page) && viserRequest()->page == HYIPLAB_PLUGIN_NAME && !isset(viserRequest()->module) && $dashboard) {
                    echo sanitize_html_class($class);
                }
            } else {
                $currentUri = get_query_var('viser_page');
                if ($currentUri == $uri) {
                    echo sanitize_html_class($class);
                }
            }
        }
    }
}


if (!function_exists('vlIsCurrentRoute')) {
    function vlIsCurrentRoute($routeName)
    {
        $route = viserRoute($routeName);
        $queryString = @$route->query_string;
        $uri = @$route->uri;
        if ($queryString) {
            if (isset(viserRequest()->module) && viserRequest()->module == $queryString) {
                return true;
            }
        } else {
            $currentUri = get_query_var('viser_page');
            if ($currentUri == $uri) {
                return true;
            }
        }
        return false;
    }
}

if (!function_exists('vlNonceField')) {
    function vlNonceField($routeName, $isPrint = true)
    {
        $route = viserToArray(viserRoute($routeName));
        if (array_key_exists('query_string', $route)) {
            $nonceName = $route['query_string'];
        } else {
            $nonceName = $route['uri'];
        }
        if ($isPrint) {
            echo '<input type="hidden" name="nonce" value="' . wp_create_nonce($nonceName) . '">';
        } else {
            return '<input type="hidden" name="nonce" value="' . wp_create_nonce($nonceName) . '">';
        }
    }
}

if (!function_exists('vlCurrentRoute')) {
    function vlCurrentRoute()
    {
        if (isset(viserRequest()->page)) {
            if (isset(viserRequest()->module)) {
                return viserRequest()->module;
            } else {
                return viserRequest()->page;
            }
        } else {
            return home_url(get_query_var('viser_page'));
        }
    }
}

if (!function_exists('vlAsset')) {
    function vlAsset($path)
    {
        $path = HYIPLAB_PLUGIN_NAME . '/assets/' . $path;
        $path = str_replace('//', '/', $path);
        return plugins_url($path);
    }
}

if (!function_exists('vlGetImage')) {
    function vlGetImage($image)
    {
        $clean = '';
        if (file_exists(HYIPLAB_ROOT . 'assets/' . $image) && is_file(HYIPLAB_ROOT . 'assets/' . $image)) {
            return vlAsset($image) . $clean;
        }
        return vlAsset('images/default.png');
    }
}

if (!function_exists('vlFileUploader')) {
    function vlFileUploader($file, $location, $size = null, $old = null, $thumb = null)
    {
        $fileManager = new FileManager($file);
        $fileManager->path = $location;
        $fileManager->size = $size;
        $fileManager->old = $old;
        $fileManager->thumb = $thumb;
        $fileManager->upload();
        return $fileManager->filename;
    }
}

if (!function_exists('vlFileManager')) {
    function vlFileManager()
    {
        return new FileManager();
    }
}


if (!function_exists('vlGetFilePath')) {
    function vlGetFilePath($key)
    {
        $dir = wp_upload_dir()['baseurl'];
        if (!empty($_FILES)) {
            $dir = wp_upload_dir()['basedir'];
        }
        return $dir . '/viser_files/' . vlFileManager()->$key()->path;
    }
}

if (!function_exists('vlGetFileSize')) {
    function vlGetFileSize($key)
    {
        return vlFileManager()->$key()->size;
    }
}

if (!function_exists('vlGetFileExt')) {
    function vlGetFileExt($key)
    {
        return vlFileManager()->$key()->extensions;
    }
}

if (!function_exists('pushBreadcrumb')) {
    function pushBreadcrumb($html)
    {
        add_action('vl_breadcrumb_plugins', function () use ($html) {
            echo $html;
        });
    }
}

if (!function_exists('vlCheckEmpty')) {
    function vlCheckEmpty($data)
    {
        if (is_object($data)) {
            $data = (array) $data;
        }
        return empty($data);
    }
}

if (!function_exists('vlGatewayCurrencyCount')) {
    function vlGatewayCurrencyCount($code)
    {
        $result = GatewayCurrency::where('method_code', $code)->count();
        return $result;
    }
}

if (!function_exists('vlTitleToKey')) {
    function vlTitleToKey($text)
    {
        return strtolower(str_replace(' ', '_', $text));
    }
}

if (!function_exists('viser_allowed_html')) {
    function viser_allowed_html()
    {
        $arr = array(
            'span' => array(
                'class' => []
            ),
            'br' => [],
            'a' => array(
                'href' => true,
                'class' => [],
            ),
            'em' => array(),
            'b' => array(),
            'bold' => array(),
            'blockquote' => array(),
            'p' => array(),
            'li' => array(
                'class' => [],
                'id' => []
            ),
            'ol' => array(),
            'strong' => array(),
            'ul' => array(
                'id' => [],
                'class' => [], 1
            ),
            'div' => array(
                'id' => [],
                'class' => [], 1
            ),
            'img' => array(
                'src' => true
            ),
            'table' => [],
            'tr' => [],
            'td' => [],
            'i' => array(
                'class' => []
            )
        );
        return $arr;
    }
}

if (!function_exists('vlCur')) {
    function vlCur($type = 'text')
    {
        return get_option("vl_cur_$type");
    }
}

if (!function_exists('vlGetAmount')) {
    function vlGetAmount($amount, $length = 2)
    {
        $amount = round($amount, $length);
        return $amount + 0;
    }
}

if (!function_exists('vlShowAmount')) {
    function vlShowAmount($amount, $decimal = 2, $separate = true, $exceptZeros = false)
    {
        $separator = '';
        if ($separate) {
            $separator = ',';
        }
        $printAmount = number_format($amount, $decimal, '.', $separator);
        if ($exceptZeros) {
            $exp = explode('.', $printAmount);
            if ($exp[1] * 1 == 0) {
                $printAmount = $exp[0];
            } else {
                $printAmount = rtrim($printAmount, '0');
            }
        }
        return $printAmount;
    }
}

if (!function_exists('viserEmailGlobalShortCode')) {
    function viserEmailGlobalShortCode()
    {
        $data['site_name'] = 'Name of your site';
        $data['site_currency'] = 'Currency of your site';
        $data['currency_symbol'] = 'Symbol of currency';
        return $data;
    }
}

if (!function_exists('getViserGateway')) {
    function getViserGateway($code)
    {
        $result = Gateway::where('code', $code)->first();
        return $result;
    }
}

if (!function_exists('getWithdrawMethod')) {
    function getWithdrawMethod($id)
    {
        $result = WithdrawMethod::find($id);
        return $result;
    }
}

if (!function_exists('vlShowDateTime')) {
    function vlShowDateTime($date, $format = 'Y-m-d h:i A')
    {
        return vlDate()->parse($date)->toDateTime($format);
    }
}

if (!function_exists('vlDiffForHumans')) {
    function vlDiffForHumans($date, $to = '')
    {
        if (empty($to)) {
            $to = current_time('timestamp');
        }
        $from = strtotime($date);
        return human_time_diff($from, $to) . " ago";
    }
}

if (!function_exists('vlNotify')) {
    function vlNotify($user, $templateName, $shortCodes = null, $sendVia = null, $createLog = true)
    {
        $globalShortCodes = [
            'site_name' => get_bloginfo('name'),
            'site_currency' => vlCur('text'),
            'currency_symbol' => vlCur('sym'),
        ];

        if (gettype($user) == 'array') {
            $user = (object) $user;
        }

        $userInfo = [
            'email' => $user->user_email,
            'fullname' => $user->display_name,
            'username' => $user->user_login
        ];

        $userInfo = viserToObject($userInfo);

        $shortCodes = array_merge($shortCodes ?? [], $globalShortCodes);
        $notify = new Notify($sendVia);
        $notify->templateName = $templateName;
        $notify->shortCodes = $shortCodes;
        $notify->user = $userInfo;
        $notify->createLog = $createLog;
        $notify->send();
    }
}

if (!function_exists('viserAuth')) {
    function viserAuth()
    {
        include_once(ABSPATH . 'wp-includes/pluggable.php');
        if (is_user_logged_in()) {
            return (object)[
                'user' => wp_get_current_user(),
                'meta' => get_user_meta(wp_get_current_user()->ID)
            ];
        }
        return false;
    }
}

if (!function_exists('vlTrx')) {
    function vlTrx($length = 12)
    {
        $characters = 'ABCDEFGHJKMNOPQRSTUVWXYZ123456789';
        $charactersLength = strlen($characters);
        $randomString = '';
        for ($i = 0; $i < $length; $i++) {
            $randomString .= $characters[rand(0, $charactersLength - 1)];
        }
        return $randomString;
    }
}

if (!function_exists('viserAsset')) {
    function viserAsset($path)
    {
        $path = HYIPLAB_PLUGIN_NAME . '/assets/' . $path;
        $path = str_replace('//', '/', $path);
        return plugins_url($path);
    }
}

if (!function_exists('vlBalance')) {
    function vlBalance($userId)
    {
        $balance = get_user_meta($userId, 'vl_balance', true);
        if ($balance > 0) {
            return vlGetAmount($balance);
        } else {
            return 0;
        }
    }
}

if (!function_exists('getViserForm')) {
    function getViserForm($formId)
    {
        $form = Form::find($formId);
        $formData = [];
        if ($form) {
            $formData = maybe_unserialize($form->form_data);
        }
        extract($formData);
        include HYIPLAB_ROOT . 'views/form/form.php';
    }
}


if (!function_exists('vlKeyToTitle')) {
    function vlKeyToTitle($text)
    {
        return ucfirst(preg_replace("/[^A-Za-z0-9 ]/", ' ', $text));
    }
}

if (!function_exists('vlTitleToKey')) {
    function vlTitleToKey($text)
    {
        return strtolower(str_replace(' ', '_', $text));
    }
}

if (!function_exists('vlEncrypt')) {
    function vlEncrypt($string)
    {
        return base64_encode($string);
    }
}

if (!function_exists('vlDecrypt')) {
    function vlDecrypt($string)
    {
        return base64_decode($string);
    }
}

if (!function_exists('cryptoQR')) {
    function cryptoQR($wallet)
    {
        return "https://chart.googleapis.com/chart?chs=300x300&cht=qr&chl=$wallet&choe=UTF-8";
    }
}

if (!function_exists('getSupportTicket')) {
    function getSupportTicket($id)
    {
        $ticket = SupportTicket::find($id);
        return $ticket;
    }
}

if (!function_exists('getSupportAttachments')) {
    function getSupportAttachments($id)
    {
        $attachments = SupportAttachment::where('support_message_id', $id)->get();
        return $attachments;
    }
}

if (!function_exists('viserGatewayBaseSymbol')) {
    function viserGatewayBaseSymbol($gatewayCurrency, $gateway)
    {
        return $gateway->crypto == 1 ? '$' : $gatewayCurrency->symbol;
    }
}

if (!function_exists('vlPaginate')) {
    function vlPaginate($num = 20)
    {
        return intval($num);
    }
}

if (!function_exists('pendingDepositCount')) {
    function pendingDepositCount()
    {
        $result = Deposit::where('status', 2)->count();
        return intval($result);
    }
}

if (!function_exists('pendingWithdrawCount')) {
    function pendingWithdrawCount()
    {
        $result = Withdrawal::where('status', 2)->count();
        return intval($result);
    }
}

if (!function_exists('pendingTicketCount')) {
    function pendingTicketCount()
    {
        $result = SupportTicket::where('status', 2)->count();
        return intval($result);
    }
}

if (!function_exists('vlDate')) {
    function vlDate()
    {
        return new ViserDate();
    }
}

function vlReCaptcha()
{
    return Captcha::reCaptcha();
}

function vlCustomCaptcha($width = '100%', $height = 46, $bgColor = '#003')
{
    return Captcha::customCaptcha($width, $height, $bgColor);
}

function vlVerifyCaptcha()
{
    return Captcha::verify();
}

if (!function_exists('getViserInitials')) {
    function getViserInitials($name)
    {
        return Initials::generate($name);
    }
}

if (!function_exists('getHyiplabPlan')) {
    function getHyiplabPlan($planId)
    {
        $plan = Plan::where('id', $planId)->first();
        return $plan;
    }
}

if (!function_exists('diffDatePercent')) {
    function diffDatePercent($start, $end)
    {
        $start = strtotime($start);
        $end = strtotime($end);
        $diff = $end - $start;
        $current = current_time('timestamp');
        $cdiff = $current - $start;

        if ($cdiff > $diff) {
            $percentage = 1.0;
        } else if ($current < $start) {
            $percentage = 0.0;
        } else {
            $percentage = $cdiff / $diff;
        }
        return round($percentage * 100, 2);
    }
}

if (!function_exists('hyiplabBalance')) {
    function hyiplabBalance($userId, $type)
    {
        $balance = get_user_meta($userId, 'hyiplab_' . $type, true);
        if ($balance > 0) {
            return vlGetAmount($balance);
        } else {
            return 0;
        }
    }
}

if (!function_exists('getViserReferrer')) {
    function getViserReferrer($userId)
    {
        $refId = get_user_meta($userId, 'vl_ref', true);
        if ($refId) {
            return intval($refId);
        }
        return 0;
    }
}

if (!function_exists('ordinal')) {
    function ordinal($number)
    {
        $ends = array('th', 'st', 'nd', 'rd', 'th', 'th', 'th', 'th', 'th', 'th');
        if ((($number % 100) >= 11) && (($number % 100) <= 13)) {
            return $number . 'th';
        } else {
            return $number . $ends[$number % 10];
        }
    }
}

if (!function_exists('getViserAllReferrer')) {
    function getViserAllReferrer($userId)
    {
        global $wpdb;
        $table_prefix = $wpdb->base_prefix;
        $data = User::selectRaw("SELECT user_id as id FROM " . $table_prefix . "usermeta WHERE `meta_key` = 'vl_ref' AND `meta_value` = " . $userId);
        return $data;
    }
}

if (!function_exists('hyiplabPlansShortCode')) {
    function hyiplabPlansShortCode($args)
    {
        $attributes = shortcode_atts(array(
            'limit' => 6,
            'ids' => ''
        ), $args);

        $ids = explode(',', $attributes['ids']);
        $ids = array_filter($ids);

        if(empty($ids)){
            $plans = Plan::where('status', 1)->limit($attributes['limit'])->get();
        } else {
            $plans = Plan::whereIn('id', $ids)->where('status', 1)->get();
        }
        
        ob_start();
        echo '<div class="row gy-4">';
        viserInclude('user/partials/plans', ['plans' => $plans]);
        echo '</div>';
        return ob_get_clean();
    }
}
add_shortcode('hyiplab_plans', 'hyiplabPlansShortCode');
