<?php viserLayout('user/layouts/master'); ?>
<div class="mb-4">
    <p><?php esc_html_e('Investment', HYIPLAB_PLUGIN_NAME); ?></p>
    <h3><?php esc_html_e('All Investment', HYIPLAB_PLUGIN_NAME); ?></h3>
</div>

<div class="row gy-4">
    <div class="col-md-5">
        <div class="card h-100">
            <div class="card-body">
                <div class="d-flex flex-wrap justify-content-between align-items-center">
                    <div>
                        <p class="mb-2 fw-bold"><?php esc_html_e('Total Invest', HYIPLAB_PLUGIN_NAME); ?></p>
                        <h4 class="text--base"><sup class="top-0 fw-light me-1"><?php echo vlCur('sym'); ?></sup><?php echo vlShowAmount($totalInvest); ?></h4>
                    </div>
                    <div>
                        <p class="mb-2 fw-bold"><?php esc_html_e('Total Profit', HYIPLAB_PLUGIN_NAME); ?></p>
                        <h4 class="text--base"><sup class="top-0 fw-light me-1"><?php echo vlCur('sym'); ?></sup><?php echo vlShowAmount($totalProfit); ?></h4>
                    </div>
                </div>
                <div class="d-flex flex-wrap justify-content-between mt-3 mt-sm-4 gap-2">
                    <a href="<?php echo vlRoute('user.plan.index'); ?>" class="btn btn--sm btn--base"><?php esc_html_e('Invest Now', HYIPLAB_PLUGIN_NAME); ?> <i class="las la-arrow-right fs--12px ms-1"></i></a>
                    <a href="<?php echo vlRoute('user.withdraw.index'); ?>" class="btn btn--sm btn--secondary"><?php esc_html_e('Withdraw Now', HYIPLAB_PLUGIN_NAME); ?> <i class="las la-arrow-right fs--12px ms-1"></i></a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-7">
        <div class="card h-100">
            <div class="card-body">
                <?php if (!vlCheckEmpty($investChart)) { ?>
                    <div class="invest-statistics d-flex flex-wrap justify-content-between align-items-center">
                        <div class="flex-shrink-0">
                            <?php foreach ($investChart as $chart) {
                                $plan = getHyiplabPlan($chart->plan_id);
                            ?>
                                <p class="my-2"><i class="fas fa-plane planPoint me-2"></i><?php echo vlShowAmount(($chart->investAmount / $totalInvest) * 100); ?>% - <?php echo esc_html($plan->name); ?></p>
                            <?php } ?>
                        </div>
                        <div class="invest-statistics__chart">
                            <canvas height="150" id="chartjs-pie-chart" style="width: 150px;"></canvas>
                        </div>
                    </div>
                <?php } else { ?>
                    <h4 class="text-center"><?php esc_html_e('No Investment Found Yet', HYIPLAB_PLUGIN_NAME); ?></h4>
                <?php } ?>
            </div>
        </div>
    </div>
</div>

<div class="mt-4">
    <div class="d-flex justify-content-between">
        <h5 class="title mb-3"><?php esc_html_e('Active Plan', HYIPLAB_PLUGIN_NAME); ?> <span class="count text-base">(<?php echo esc_html($activePlan); ?>)</span></h5>
        <a href="<?php echo vlRoute('user.invest.log'); ?>" class="link-color"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?>
            <i class="las la-arrow-right"></i>
        </a>
    </div>
    <div class="plan-list d-flex flex-wrap flex-xxl-column gap-3 gap-xxl-0">
        <?php foreach ($invests as $invest) {

            $plan = getHyiplabPlan($invest->plan_id);
            if ($invest->last_time) {
                $start = $invest->last_time;
            } else {
                $start = $invest->created_at;
            }
        ?>
            <div class="plan-item-two">
                <div class="plan-info plan-inner-div">
                    <div class="d-flex align-items-center gap-3">
                        <?php if ($invest->status == 1) { ?>
                            <svg class="custom-progress">
                                <circle class="progress-circle" cx="20" cy="22" r="16" style="stroke-dasharray: 100; stroke-dashoffset: calc(100 - <?php echo (diffDatePercent($start, $invest->next_time) * 100) / 100; ?>)" ; />
                                <circle class="bg-circle" cx="20" cy="22" r="16" style="stroke-dasharray: 100; stroke-dashoffset: 0" ; />
                            </svg>
                        <?php } ?>

                        <div class="plan-name-data">
                            <div class="plan-name fw-bold"><?php echo esc_html($plan->name); ?> - <?php esc_html_e('Every', HYIPLAB_PLUGIN_NAME); ?> <?php echo esc_html($invest->time_name); ?> <?php echo esc_html($plan->interest_type != 1 ? vlCur('sym') : ''); ?><?php echo vlShowAmount($plan->interest); ?> <?php ($plan->interest_type == 1) ? '%' : ''; ?> <?php esc_html_e('for', HYIPLAB_PLUGIN_NAME); ?> <?php if ($plan->lifetime == 0) {
                                                                                                                                                                                                                                                                                                                                                                                                                            echo esc_html($plan->repeat_time . ' ' . $plan->time_name);
                                                                                                                                                                                                                                                                                                                                                                                                                        } else { ?> <?php esc_html_e('LIFETIME', HYIPLAB_PLUGIN_NAME); ?> <?php } ?></div>
                            <div class="plan-desc"><?php esc_html_e('Invested', HYIPLAB_PLUGIN_NAME); ?>: <span class="fw-bold"><?php echo vlShowAmount($invest->amount); ?> <?php echo vlCur('text'); ?> <?php if ($invest->capital_status) { ?>
                                        <small class="capital-back"><i>(<?php esc_html_e('Capital will be back', HYIPLAB_PLUGIN_NAME); ?>)</i></small><?php } ?> </span></div>
                        </div>
                    </div>
                </div>
                <div class="plan-start plan-inner-div">
                    <p class="plan-label"><?php esc_html_e('Start Date', HYIPLAB_PLUGIN_NAME); ?></p>
                    <p class="plan-value date"><?php echo vlShowDateTime($invest->created_at, 'M d, Y h:i A'); ?></p>
                </div>
                <div class="plan-inner-div">
                    <p class="plan-label"><?php esc_html_e('Next Return', HYIPLAB_PLUGIN_NAME); ?></p>
                    <p class="plan-value"><?php echo vlShowDateTime($invest->next_time, 'M d, Y h:i A'); ?></p>
                </div>
                <div class="plan-inner-div text-end">
                    <p class="plan-label"><?php esc_html_e('Total Return', HYIPLAB_PLUGIN_NAME); ?></p>
                    <p class="plan-value amount"><?php echo vlCur('sym'); ?><?php echo vlShowAmount($invest->interest); ?> x <?php echo esc_html($invest->return_rec_time); ?> = <?php echo vlShowAmount($invest->paid); ?> <?php echo vlCur('text'); ?></p>
                </div>
            </div>
        <?php } ?>
        <?php if (vlCheckEmpty($invests)) { ?>
            <div class="accordion-body text-center bg-white p-4">
                <h4 class="text--muted"><i class="far fa-frown"></i> <?php esc_html_e('Data not found', HYIPLAB_PLUGIN_NAME); ?></h4>
            </div>
        <?php } ?>
    </div>
</div>

<style>
    .custom-progress {
        max-width: 40px !important;
        max-height: 40px;
        transform: rotate(-90deg);
    }

    .custom-progress .bg-circle {
        stroke: #00000011;
        fill: none;
        stroke-width: 4px;
        position: relative;
        z-index: -1;
    }

    .custom-progress .progress-circle {
        fill: none;
        stroke: hsl(var(--base));
        stroke-width: 4px;
        z-index: 11;
        position: absolute;
    }

    .expired-time-circle {
        position: relative;
        border: none !important;
        height: 38px;
        width: 38px;
        margin-right: 7px;
    }

    .expired-time-circle::before {
        position: absolute;
        content: '';
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        border: 4px solid #dbdce1;
    }

    .expired-time-circle.danger-border .animation-circle {
        border-color: hsl(var(--base)) !important;
    }

    .animation-circle {
        position: absolute;
        top: 0;
        left: 0;
        border: 4px solid hsl(var(--base));
        height: 100%;
        width: 100%;
        border-radius: 150px;
        transform: rotateY(180deg);
        animation-name: clipCircle;
        animation-iteration-count: 1;
        animation-timing-function: cubic-bezier(0, 0, 1, 1);
        z-index: 1;
    }

    .account-wrapper .left .top {
        margin-top: 0;
    }

    .account-wrapper .left,
    .account-wrapper .right {
        width: 100%;
    }

    .account-wrapper .right {
        padding-left: 0;
        margin-top: 35px;
    }

    @keyframes clipCircle {
        0% {
            clip-path: polygon(50% 50%, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%);
            /* center, top-center*/
        }

        12.5% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%);
            /* center, top-center, top-left*/
        }

        25% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 50%, 0% 50%, 0% 50%, 0% 50%, 0% 50%, 0% 50%);
            /* center, top-center, top-left, left-center*/
        }

        37.5% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 100%, 0% 100%, 0% 100%, 0% 100%, 0% 100%, 0% 100%);
            /* center, top-center, top-left, left-center, bottom-left*/
        }

        50% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%);
            /* center, top-center, top-left, left-center, bottom-left, bottom-center*/
        }

        62.5% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 100%, 50% 100%, 100% 100%, 100% 100%, 100% 100%, 100% 100%);
            /* center, top-center, top-left, left-center, bottom-left, bottom-center, bottom-right*/
        }

        75% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 100%, 50% 100%, 100% 100%, 100% 50%, 100% 50%, 100% 50%);
            /* center, top-center, top-left, left-center, bottom-left, bottom-center, bottom-right, right-center*/
        }

        87.5% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 100%, 50% 100%, 100% 100%, 100% 50%, 100% 0%, 100% 0%);
            /* center, top-center, top-left, left-center, bottom-left, bottom-center, bottom-right, right-center top-right*/
        }

        100% {
            clip-path: polygon(50% 50%, 50% 0%, 0% 0%, 0% 50%, 0% 100%, 50% 100%, 100% 100%, 100% 50%, 100% 0%, 50% 0%);
            /* center, top-center, top-left, left-center, bottom-left, bottom-center, bottom-right, right-center top-right, top-center*/
        }
    }

    .capital-back {
        font-size: 10px;
    }
</style>

<script>
    
    jQuery(document).ready(function($) {
        "use strict";
        /* -- Chartjs - Pie Chart -- */
        var pieChartID = document.getElementById("chartjs-pie-chart").getContext('2d');
        var pieChart = new Chart(pieChartID, {
            type: 'pie',
            data: {
                datasets: [{
                    data: [
                        <?php foreach ($investChart as $chart) { ?>
                            <?php echo esc_html($chart->investAmount); ?>,
                        <?php } ?>
                    ],
                    borderColor: 'transparent',
                    backgroundColor: planColors(),
                    label: 'Dataset 1'
                }],
                labels: [
                    <?php foreach ($investChart as $chart) {
                        $plan = getHyiplabPlan($chart->plan_id);
                    ?> '<?php echo esc_html($plan->name); ?>',
                    <?php } ?>
                ]
            },
            options: {
                responsive: true,
                legend: {
                    display: false
                }
            }
        });
        var planPoints = $('.planPoint');
        planPoints.each(function(key, planPoint) {
            var planPoint = $(planPoint)
            planPoint.css('color', planColors()[key])
        })
        function planColors() {
            return [
                '#ff7675',
                '#6c5ce7',
                '#ffa62b',
                '#ffeaa7',
                '#D980FA',
                '#fccbcb',
                '#45aaf2',
                '#05dfd7',
                '#FF00F6',
                '#1e90ff',
                '#2ed573',
                '#eccc68',
                '#ff5200',
                '#cd84f1',
                '#7efff5',
                '#7158e2',
                '#fff200',
                '#ff9ff3',
                '#08ffc8',
                '#3742fa',
                '#1089ff',
                '#70FF61',
                '#bf9fee',
                '#574b90'
            ]
        }
        let animationCircle = $('.animation-circle');
        animationCircle.css('animation-duration', function() {
            let duration = ($(this).data('duration'));
            return duration;
        });
    });

</script>

<?php
wp_enqueue_script('chart-js', viserAsset('public/js/chart.min.js'), array('jquery'), null, true);
?>